
def random_word_length(text, min_length=3, max_length=10):
    import random
    import string
    
    def generate_random_word(min_length, max_length):
        length = random.randint(min_length, max_length)
        return ''.join(random.choices(string.ascii_letters, k=length))
    
    words = text.split()
    modified_words = [generate_random_word(min_length, max_length) if len(word) < min_length or len(word) > max_length else word for word in words]
    return ' '.join(modified_words)



